package de.ariva.six.dochub.restclient.entities;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Builder;
import lombok.Value;
import lombok.extern.jackson.Jacksonized;

import java.util.List;

/**
 * Represents archive search request parameters.
 */
@Jacksonized
@Builder
@Value
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ArchiveSearchRequest {
    String documentId;
    GeneralIdentifier generalIdentifier;
    Integer documentType;
    String languageCode;
    String jurisdictionCode;
    Integer mimeType;
    String documentSupplier;
    IssuerIdentifier issuerIdentifier;
    String storedCustomData1;
    String storedCustomData2;
    String storedCustomData3;
    String storedCustomData4;
    String storedCustomData5;
    Integer listLimit;
    Integer listPage;
}
