package de.ariva.six.dochub.restclient.entities;

import lombok.Builder;
import lombok.Value;
import lombok.extern.jackson.Jacksonized;

import java.util.List;

/**
 * Represents a search hit.
 */
@Jacksonized
@Builder
@Value
public class SearchHit {
    List<GeneralIdentifier> generalIdentifiers;
    int documentType;
    String languageCode;
    List<String> jurisdictionCodes;
    int mimeType;
    int generationMethodType;
    String documentSupplier;
    List<IssuerIdentifier> issuerIdentifiers;
    int lastUpdateTimestamp;
    Integer lastGenerationTimestamp;
    String sourcingStrategyType;
    Integer publicationClassificationType;
    String issuerName;
    String documentID;
    String validFromDate;
    String validToDate;
    String recordDate;
}
