package de.ariva.six.dochub.restclient.entities;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Builder;
import lombok.Value;
import lombok.extern.jackson.Jacksonized;

import java.util.List;

/**
 * Represents search request parameters.
 */
@Jacksonized
@Builder
@Value
@JsonInclude(JsonInclude.Include.NON_NULL)
public class SearchRequest {
    GeneralIdentifier generalIdentifier;
    List<Integer> documentTypes;
    List<String> languageCodes;
    List<String> jurisdictionCodes;
    Integer mimeType;
    String documentSupplier;
    IssuerIdentifier issuerIdentifier;
    Integer listLimit;
    Integer listPage;
}
